#!/usr/bin/python
# -*- coding: utf-8 -*-

from pathlib import Path
from setuptools import setup

VERSION = open('_version.py').readlines()[-1].split()[-1].strip("\"'")
README = Path('README.md').read_text()

requires = [
    'pika>=1.1,<2',
    'pycapo>=0.3.0,<1.0',
    'beautifulsoup4>=4.9.1,<5.0',
    'lxml>=4.3.2,<5.0',
    'psycopg2>=2.8.5,<3.0',
    'pyopenssl>=19.1.0,<20.0',
    'requests>=2.23,<3.0'
]

tests_require = [
    'pytest>=5.4,<6.0'
]

setup(
    name=Path().absolute().name,
    version=VERSION,
    description='NRAO Archive Data Fetcher Script',
    long_description=README,
    author='NRAO SSA Team',
    author_email='dms-ssa@nrao.edu',
    url='TBD',
    license="GPL",
    install_requires=requires,
    tests_require=tests_require,
    keywords=[],
    packages=['datafetcher'],
    package_dir={'': 'src'},
    classifiers=[
        'Programming Language :: Python :: 3.8'
    ],
    entry_points={
        'console_scripts': ['datafetcher = datafetcher.commands:main']
    },
)
